Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.beanutils.converters
Class CalendarConverter

    java.lang.Object
      org.apache.commons.beanutils.converters.AbstractConverter
          org.apache.commons.beanutils.converters.DateTimeConverter
              org.apache.commons.beanutils.converters.CalendarConverter

All Implemented Interfaces:
  Converter

    public final class CalendarConverter

extends DateTimeConverter

`DateTimeConverter` implementation that handles conversion to and from java.util.Calendar objects.

This implementation can be configured to handle conversion either by using a Locale's default format or by specifying a set of format patterns (note, there is no default String conversion for Calendar). See the `DateTimeConverter` documentation for further details.

Can be configured to either return a default value or throw a `ConversionException` if a conversion error occurs.

Since:
  1.8.0
Version:
  $Revision: 640131 $

Constructor Summary
`CalendarConverter()` Construct a java.util.Calendar Converter that throws a `ConversionException` if an error occurs.
`CalendarConverter(Object defaultValue)` Construct a java.util.Calendar Converter that returns a default value if an error occurs.

Method Summary
`protected Class` | `getDefaultType()` Return the default type this `Converter` handles.

Methods inherited from class org.apache.commons.beanutils.converters.DateTimeConverter
`convertToString, convertToType, getFormat, getLocale, getPatterns, getTimeZone, setLocale, setPattern, setPatterns, setTimeZone, setUseLocaleFormat, toString`

Methods inherited from class org.apache.commons.beanutils.converters.AbstractConverter
`convert, convertArray, getDefault, handleError, handleMissing, isUseDefault, setDefaultValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CalendarConverter

    public CalendarConverter()

  Construct a java.util.Calendar Converter that throws a `ConversionException` if an error occurs.

### CalendarConverter

    public CalendarConverter(Object defaultValue)

  Construct a java.util.Calendar Converter that returns a default value if an error occurs.

  Parameters:
    `defaultValue` - The default value to be returned if the value to be converted is missing or an error occurs converting the value.

Method Detail

### getDefaultType

    protected Class getDefaultType()

  Return the default type this `Converter` handles.

  Specified by:
    `getDefaultType` in class `AbstractConverter`
  Returns:
    The default type this `Converter` handles.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 The Apache Software Foundation. All Rights Reserved.